<template>
  <div class="row">
    <div class="col-12" v-for="p in paginatedData">
      <stock-item-component
          :p="p"
      ></stock-item-component>
    </div>
    <div class="col-12 d-flex pb-3 justify-content-center">
      <div class="mr-1 paginate-item"
           v-for="pItem in paginate"
           @click.prevent="getPage(pItem)"
           :class="{ active: pageNumber === pItem }"
      >{{ pItem }}
      </div>
    </div>
    <!--    <button @click="prevPage">-->
    <!--      Previous-->
    <!--    </button>-->
    <!--    <button @click="nextPage">-->
    <!--      Next-->
    <!--    </button>-->
  </div>


</template>

<script>
import StockItemComponent from "./StockItemComponent";

export default {
  name: "StockComponent",
  components: {StockItemComponent},
  data() {
    return {
      stocks: [],
      paginate: null,
      pageNumber: 0,
      size: 5,
      isActive: false,
    }
  },
  mounted() {
    this.getStock()
    this.getPage(1)
  },
  methods: {
    nextPage() {
      this.pageNumber++;
    },
    prevPage() {
      this.pageNumber--;
    },
    getPage(pItem) {
      this.pageNumber = pItem;
    },
    getStock() {
      axios.get('/api/admin/stock')
          .then(response => {
            this.stocks = response.data;
            this.paginate = Math.ceil((this.stocks.length / this.size));
          })
    }
  },
  computed: {
    paginatedData() {
      const start = this.pageNumber * this.size
      const end = start + this.size;
      return this.stocks.slice(start, end);
    }
  }
}
</script>

<style scoped>
.paginate-item {
  cursor: pointer;
  padding: 1px;
  width: 20px;
  height: 20px;
  font-size: 11px;
  background: #007bff;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
}

.paginate-item.active {
  background: #fff;
  color: #007bff;
  border: 0.5px solid #007bff;
}
</style>